// generated from rosidl_generator_c/resource/idl__functions.h.em
// with input from twist_mux_msgs:action/JoyPriority.idl
// generated code does not contain a copyright notice

#ifndef TWIST_MUX_MSGS__ACTION__DETAIL__JOY_PRIORITY__FUNCTIONS_H_
#define TWIST_MUX_MSGS__ACTION__DETAIL__JOY_PRIORITY__FUNCTIONS_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stdlib.h>

#include "rosidl_runtime_c/visibility_control.h"
#include "twist_mux_msgs/msg/rosidl_generator_c__visibility_control.h"

#include "twist_mux_msgs/action/detail/joy_priority__struct.h"

/// Initialize action/JoyPriority message.
/**
 * If the init function is called twice for the same message without
 * calling fini inbetween previously allocated memory will be leaked.
 * \param[in,out] msg The previously allocated message pointer.
 * Fields without a default value will not be initialized by this function.
 * You might want to call memset(msg, 0, sizeof(
 * twist_mux_msgs__action__JoyPriority_Goal
 * )) before or use
 * twist_mux_msgs__action__JoyPriority_Goal__create()
 * to allocate and initialize the message.
 * \return true if initialization was successful, otherwise false
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_Goal__init(twist_mux_msgs__action__JoyPriority_Goal * msg);

/// Finalize action/JoyPriority message.
/**
 * \param[in,out] msg The allocated message pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
void
twist_mux_msgs__action__JoyPriority_Goal__fini(twist_mux_msgs__action__JoyPriority_Goal * msg);

/// Create action/JoyPriority message.
/**
 * It allocates the memory for the message, sets the memory to zero, and
 * calls
 * twist_mux_msgs__action__JoyPriority_Goal__init().
 * \return The pointer to the initialized message if successful,
 * otherwise NULL
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
twist_mux_msgs__action__JoyPriority_Goal *
twist_mux_msgs__action__JoyPriority_Goal__create();

/// Destroy action/JoyPriority message.
/**
 * It calls
 * twist_mux_msgs__action__JoyPriority_Goal__fini()
 * and frees the memory of the message.
 * \param[in,out] msg The allocated message pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
void
twist_mux_msgs__action__JoyPriority_Goal__destroy(twist_mux_msgs__action__JoyPriority_Goal * msg);

/// Check for action/JoyPriority message equality.
/**
 * \param[in] lhs The message on the left hand size of the equality operator.
 * \param[in] rhs The message on the right hand size of the equality operator.
 * \return true if messages are equal, otherwise false.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_Goal__are_equal(const twist_mux_msgs__action__JoyPriority_Goal * lhs, const twist_mux_msgs__action__JoyPriority_Goal * rhs);

/// Copy a action/JoyPriority message.
/**
 * This functions performs a deep copy, as opposed to the shallow copy that
 * plain assignment yields.
 *
 * \param[in] input The source message pointer.
 * \param[out] output The target message pointer, which must
 *   have been initialized before calling this function.
 * \return true if successful, or false if either pointer is null
 *   or memory allocation fails.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_Goal__copy(
  const twist_mux_msgs__action__JoyPriority_Goal * input,
  twist_mux_msgs__action__JoyPriority_Goal * output);

/// Initialize array of action/JoyPriority messages.
/**
 * It allocates the memory for the number of elements and calls
 * twist_mux_msgs__action__JoyPriority_Goal__init()
 * for each element of the array.
 * \param[in,out] array The allocated array pointer.
 * \param[in] size The size / capacity of the array.
 * \return true if initialization was successful, otherwise false
 * If the array pointer is valid and the size is zero it is guaranteed
 # to return true.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_Goal__Sequence__init(twist_mux_msgs__action__JoyPriority_Goal__Sequence * array, size_t size);

/// Finalize array of action/JoyPriority messages.
/**
 * It calls
 * twist_mux_msgs__action__JoyPriority_Goal__fini()
 * for each element of the array and frees the memory for the number of
 * elements.
 * \param[in,out] array The initialized array pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
void
twist_mux_msgs__action__JoyPriority_Goal__Sequence__fini(twist_mux_msgs__action__JoyPriority_Goal__Sequence * array);

/// Create array of action/JoyPriority messages.
/**
 * It allocates the memory for the array and calls
 * twist_mux_msgs__action__JoyPriority_Goal__Sequence__init().
 * \param[in] size The size / capacity of the array.
 * \return The pointer to the initialized array if successful, otherwise NULL
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
twist_mux_msgs__action__JoyPriority_Goal__Sequence *
twist_mux_msgs__action__JoyPriority_Goal__Sequence__create(size_t size);

/// Destroy array of action/JoyPriority messages.
/**
 * It calls
 * twist_mux_msgs__action__JoyPriority_Goal__Sequence__fini()
 * on the array,
 * and frees the memory of the array.
 * \param[in,out] array The initialized array pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
void
twist_mux_msgs__action__JoyPriority_Goal__Sequence__destroy(twist_mux_msgs__action__JoyPriority_Goal__Sequence * array);

/// Check for action/JoyPriority message array equality.
/**
 * \param[in] lhs The message array on the left hand size of the equality operator.
 * \param[in] rhs The message array on the right hand size of the equality operator.
 * \return true if message arrays are equal in size and content, otherwise false.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_Goal__Sequence__are_equal(const twist_mux_msgs__action__JoyPriority_Goal__Sequence * lhs, const twist_mux_msgs__action__JoyPriority_Goal__Sequence * rhs);

/// Copy an array of action/JoyPriority messages.
/**
 * This functions performs a deep copy, as opposed to the shallow copy that
 * plain assignment yields.
 *
 * \param[in] input The source array pointer.
 * \param[out] output The target array pointer, which must
 *   have been initialized before calling this function.
 * \return true if successful, or false if either pointer
 *   is null or memory allocation fails.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_Goal__Sequence__copy(
  const twist_mux_msgs__action__JoyPriority_Goal__Sequence * input,
  twist_mux_msgs__action__JoyPriority_Goal__Sequence * output);

/// Initialize action/JoyPriority message.
/**
 * If the init function is called twice for the same message without
 * calling fini inbetween previously allocated memory will be leaked.
 * \param[in,out] msg The previously allocated message pointer.
 * Fields without a default value will not be initialized by this function.
 * You might want to call memset(msg, 0, sizeof(
 * twist_mux_msgs__action__JoyPriority_Result
 * )) before or use
 * twist_mux_msgs__action__JoyPriority_Result__create()
 * to allocate and initialize the message.
 * \return true if initialization was successful, otherwise false
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_Result__init(twist_mux_msgs__action__JoyPriority_Result * msg);

/// Finalize action/JoyPriority message.
/**
 * \param[in,out] msg The allocated message pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
void
twist_mux_msgs__action__JoyPriority_Result__fini(twist_mux_msgs__action__JoyPriority_Result * msg);

/// Create action/JoyPriority message.
/**
 * It allocates the memory for the message, sets the memory to zero, and
 * calls
 * twist_mux_msgs__action__JoyPriority_Result__init().
 * \return The pointer to the initialized message if successful,
 * otherwise NULL
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
twist_mux_msgs__action__JoyPriority_Result *
twist_mux_msgs__action__JoyPriority_Result__create();

/// Destroy action/JoyPriority message.
/**
 * It calls
 * twist_mux_msgs__action__JoyPriority_Result__fini()
 * and frees the memory of the message.
 * \param[in,out] msg The allocated message pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
void
twist_mux_msgs__action__JoyPriority_Result__destroy(twist_mux_msgs__action__JoyPriority_Result * msg);

/// Check for action/JoyPriority message equality.
/**
 * \param[in] lhs The message on the left hand size of the equality operator.
 * \param[in] rhs The message on the right hand size of the equality operator.
 * \return true if messages are equal, otherwise false.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_Result__are_equal(const twist_mux_msgs__action__JoyPriority_Result * lhs, const twist_mux_msgs__action__JoyPriority_Result * rhs);

/// Copy a action/JoyPriority message.
/**
 * This functions performs a deep copy, as opposed to the shallow copy that
 * plain assignment yields.
 *
 * \param[in] input The source message pointer.
 * \param[out] output The target message pointer, which must
 *   have been initialized before calling this function.
 * \return true if successful, or false if either pointer is null
 *   or memory allocation fails.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_Result__copy(
  const twist_mux_msgs__action__JoyPriority_Result * input,
  twist_mux_msgs__action__JoyPriority_Result * output);

/// Initialize array of action/JoyPriority messages.
/**
 * It allocates the memory for the number of elements and calls
 * twist_mux_msgs__action__JoyPriority_Result__init()
 * for each element of the array.
 * \param[in,out] array The allocated array pointer.
 * \param[in] size The size / capacity of the array.
 * \return true if initialization was successful, otherwise false
 * If the array pointer is valid and the size is zero it is guaranteed
 # to return true.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_Result__Sequence__init(twist_mux_msgs__action__JoyPriority_Result__Sequence * array, size_t size);

/// Finalize array of action/JoyPriority messages.
/**
 * It calls
 * twist_mux_msgs__action__JoyPriority_Result__fini()
 * for each element of the array and frees the memory for the number of
 * elements.
 * \param[in,out] array The initialized array pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
void
twist_mux_msgs__action__JoyPriority_Result__Sequence__fini(twist_mux_msgs__action__JoyPriority_Result__Sequence * array);

/// Create array of action/JoyPriority messages.
/**
 * It allocates the memory for the array and calls
 * twist_mux_msgs__action__JoyPriority_Result__Sequence__init().
 * \param[in] size The size / capacity of the array.
 * \return The pointer to the initialized array if successful, otherwise NULL
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
twist_mux_msgs__action__JoyPriority_Result__Sequence *
twist_mux_msgs__action__JoyPriority_Result__Sequence__create(size_t size);

/// Destroy array of action/JoyPriority messages.
/**
 * It calls
 * twist_mux_msgs__action__JoyPriority_Result__Sequence__fini()
 * on the array,
 * and frees the memory of the array.
 * \param[in,out] array The initialized array pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
void
twist_mux_msgs__action__JoyPriority_Result__Sequence__destroy(twist_mux_msgs__action__JoyPriority_Result__Sequence * array);

/// Check for action/JoyPriority message array equality.
/**
 * \param[in] lhs The message array on the left hand size of the equality operator.
 * \param[in] rhs The message array on the right hand size of the equality operator.
 * \return true if message arrays are equal in size and content, otherwise false.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_Result__Sequence__are_equal(const twist_mux_msgs__action__JoyPriority_Result__Sequence * lhs, const twist_mux_msgs__action__JoyPriority_Result__Sequence * rhs);

/// Copy an array of action/JoyPriority messages.
/**
 * This functions performs a deep copy, as opposed to the shallow copy that
 * plain assignment yields.
 *
 * \param[in] input The source array pointer.
 * \param[out] output The target array pointer, which must
 *   have been initialized before calling this function.
 * \return true if successful, or false if either pointer
 *   is null or memory allocation fails.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_Result__Sequence__copy(
  const twist_mux_msgs__action__JoyPriority_Result__Sequence * input,
  twist_mux_msgs__action__JoyPriority_Result__Sequence * output);

/// Initialize action/JoyPriority message.
/**
 * If the init function is called twice for the same message without
 * calling fini inbetween previously allocated memory will be leaked.
 * \param[in,out] msg The previously allocated message pointer.
 * Fields without a default value will not be initialized by this function.
 * You might want to call memset(msg, 0, sizeof(
 * twist_mux_msgs__action__JoyPriority_Feedback
 * )) before or use
 * twist_mux_msgs__action__JoyPriority_Feedback__create()
 * to allocate and initialize the message.
 * \return true if initialization was successful, otherwise false
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_Feedback__init(twist_mux_msgs__action__JoyPriority_Feedback * msg);

/// Finalize action/JoyPriority message.
/**
 * \param[in,out] msg The allocated message pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
void
twist_mux_msgs__action__JoyPriority_Feedback__fini(twist_mux_msgs__action__JoyPriority_Feedback * msg);

/// Create action/JoyPriority message.
/**
 * It allocates the memory for the message, sets the memory to zero, and
 * calls
 * twist_mux_msgs__action__JoyPriority_Feedback__init().
 * \return The pointer to the initialized message if successful,
 * otherwise NULL
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
twist_mux_msgs__action__JoyPriority_Feedback *
twist_mux_msgs__action__JoyPriority_Feedback__create();

/// Destroy action/JoyPriority message.
/**
 * It calls
 * twist_mux_msgs__action__JoyPriority_Feedback__fini()
 * and frees the memory of the message.
 * \param[in,out] msg The allocated message pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
void
twist_mux_msgs__action__JoyPriority_Feedback__destroy(twist_mux_msgs__action__JoyPriority_Feedback * msg);

/// Check for action/JoyPriority message equality.
/**
 * \param[in] lhs The message on the left hand size of the equality operator.
 * \param[in] rhs The message on the right hand size of the equality operator.
 * \return true if messages are equal, otherwise false.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_Feedback__are_equal(const twist_mux_msgs__action__JoyPriority_Feedback * lhs, const twist_mux_msgs__action__JoyPriority_Feedback * rhs);

/// Copy a action/JoyPriority message.
/**
 * This functions performs a deep copy, as opposed to the shallow copy that
 * plain assignment yields.
 *
 * \param[in] input The source message pointer.
 * \param[out] output The target message pointer, which must
 *   have been initialized before calling this function.
 * \return true if successful, or false if either pointer is null
 *   or memory allocation fails.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_Feedback__copy(
  const twist_mux_msgs__action__JoyPriority_Feedback * input,
  twist_mux_msgs__action__JoyPriority_Feedback * output);

/// Initialize array of action/JoyPriority messages.
/**
 * It allocates the memory for the number of elements and calls
 * twist_mux_msgs__action__JoyPriority_Feedback__init()
 * for each element of the array.
 * \param[in,out] array The allocated array pointer.
 * \param[in] size The size / capacity of the array.
 * \return true if initialization was successful, otherwise false
 * If the array pointer is valid and the size is zero it is guaranteed
 # to return true.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_Feedback__Sequence__init(twist_mux_msgs__action__JoyPriority_Feedback__Sequence * array, size_t size);

/// Finalize array of action/JoyPriority messages.
/**
 * It calls
 * twist_mux_msgs__action__JoyPriority_Feedback__fini()
 * for each element of the array and frees the memory for the number of
 * elements.
 * \param[in,out] array The initialized array pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
void
twist_mux_msgs__action__JoyPriority_Feedback__Sequence__fini(twist_mux_msgs__action__JoyPriority_Feedback__Sequence * array);

/// Create array of action/JoyPriority messages.
/**
 * It allocates the memory for the array and calls
 * twist_mux_msgs__action__JoyPriority_Feedback__Sequence__init().
 * \param[in] size The size / capacity of the array.
 * \return The pointer to the initialized array if successful, otherwise NULL
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
twist_mux_msgs__action__JoyPriority_Feedback__Sequence *
twist_mux_msgs__action__JoyPriority_Feedback__Sequence__create(size_t size);

/// Destroy array of action/JoyPriority messages.
/**
 * It calls
 * twist_mux_msgs__action__JoyPriority_Feedback__Sequence__fini()
 * on the array,
 * and frees the memory of the array.
 * \param[in,out] array The initialized array pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
void
twist_mux_msgs__action__JoyPriority_Feedback__Sequence__destroy(twist_mux_msgs__action__JoyPriority_Feedback__Sequence * array);

/// Check for action/JoyPriority message array equality.
/**
 * \param[in] lhs The message array on the left hand size of the equality operator.
 * \param[in] rhs The message array on the right hand size of the equality operator.
 * \return true if message arrays are equal in size and content, otherwise false.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_Feedback__Sequence__are_equal(const twist_mux_msgs__action__JoyPriority_Feedback__Sequence * lhs, const twist_mux_msgs__action__JoyPriority_Feedback__Sequence * rhs);

/// Copy an array of action/JoyPriority messages.
/**
 * This functions performs a deep copy, as opposed to the shallow copy that
 * plain assignment yields.
 *
 * \param[in] input The source array pointer.
 * \param[out] output The target array pointer, which must
 *   have been initialized before calling this function.
 * \return true if successful, or false if either pointer
 *   is null or memory allocation fails.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_Feedback__Sequence__copy(
  const twist_mux_msgs__action__JoyPriority_Feedback__Sequence * input,
  twist_mux_msgs__action__JoyPriority_Feedback__Sequence * output);

/// Initialize action/JoyPriority message.
/**
 * If the init function is called twice for the same message without
 * calling fini inbetween previously allocated memory will be leaked.
 * \param[in,out] msg The previously allocated message pointer.
 * Fields without a default value will not be initialized by this function.
 * You might want to call memset(msg, 0, sizeof(
 * twist_mux_msgs__action__JoyPriority_SendGoal_Request
 * )) before or use
 * twist_mux_msgs__action__JoyPriority_SendGoal_Request__create()
 * to allocate and initialize the message.
 * \return true if initialization was successful, otherwise false
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_SendGoal_Request__init(twist_mux_msgs__action__JoyPriority_SendGoal_Request * msg);

/// Finalize action/JoyPriority message.
/**
 * \param[in,out] msg The allocated message pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
void
twist_mux_msgs__action__JoyPriority_SendGoal_Request__fini(twist_mux_msgs__action__JoyPriority_SendGoal_Request * msg);

/// Create action/JoyPriority message.
/**
 * It allocates the memory for the message, sets the memory to zero, and
 * calls
 * twist_mux_msgs__action__JoyPriority_SendGoal_Request__init().
 * \return The pointer to the initialized message if successful,
 * otherwise NULL
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
twist_mux_msgs__action__JoyPriority_SendGoal_Request *
twist_mux_msgs__action__JoyPriority_SendGoal_Request__create();

/// Destroy action/JoyPriority message.
/**
 * It calls
 * twist_mux_msgs__action__JoyPriority_SendGoal_Request__fini()
 * and frees the memory of the message.
 * \param[in,out] msg The allocated message pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
void
twist_mux_msgs__action__JoyPriority_SendGoal_Request__destroy(twist_mux_msgs__action__JoyPriority_SendGoal_Request * msg);

/// Check for action/JoyPriority message equality.
/**
 * \param[in] lhs The message on the left hand size of the equality operator.
 * \param[in] rhs The message on the right hand size of the equality operator.
 * \return true if messages are equal, otherwise false.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_SendGoal_Request__are_equal(const twist_mux_msgs__action__JoyPriority_SendGoal_Request * lhs, const twist_mux_msgs__action__JoyPriority_SendGoal_Request * rhs);

/// Copy a action/JoyPriority message.
/**
 * This functions performs a deep copy, as opposed to the shallow copy that
 * plain assignment yields.
 *
 * \param[in] input The source message pointer.
 * \param[out] output The target message pointer, which must
 *   have been initialized before calling this function.
 * \return true if successful, or false if either pointer is null
 *   or memory allocation fails.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_SendGoal_Request__copy(
  const twist_mux_msgs__action__JoyPriority_SendGoal_Request * input,
  twist_mux_msgs__action__JoyPriority_SendGoal_Request * output);

/// Initialize array of action/JoyPriority messages.
/**
 * It allocates the memory for the number of elements and calls
 * twist_mux_msgs__action__JoyPriority_SendGoal_Request__init()
 * for each element of the array.
 * \param[in,out] array The allocated array pointer.
 * \param[in] size The size / capacity of the array.
 * \return true if initialization was successful, otherwise false
 * If the array pointer is valid and the size is zero it is guaranteed
 # to return true.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_SendGoal_Request__Sequence__init(twist_mux_msgs__action__JoyPriority_SendGoal_Request__Sequence * array, size_t size);

/// Finalize array of action/JoyPriority messages.
/**
 * It calls
 * twist_mux_msgs__action__JoyPriority_SendGoal_Request__fini()
 * for each element of the array and frees the memory for the number of
 * elements.
 * \param[in,out] array The initialized array pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
void
twist_mux_msgs__action__JoyPriority_SendGoal_Request__Sequence__fini(twist_mux_msgs__action__JoyPriority_SendGoal_Request__Sequence * array);

/// Create array of action/JoyPriority messages.
/**
 * It allocates the memory for the array and calls
 * twist_mux_msgs__action__JoyPriority_SendGoal_Request__Sequence__init().
 * \param[in] size The size / capacity of the array.
 * \return The pointer to the initialized array if successful, otherwise NULL
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
twist_mux_msgs__action__JoyPriority_SendGoal_Request__Sequence *
twist_mux_msgs__action__JoyPriority_SendGoal_Request__Sequence__create(size_t size);

/// Destroy array of action/JoyPriority messages.
/**
 * It calls
 * twist_mux_msgs__action__JoyPriority_SendGoal_Request__Sequence__fini()
 * on the array,
 * and frees the memory of the array.
 * \param[in,out] array The initialized array pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
void
twist_mux_msgs__action__JoyPriority_SendGoal_Request__Sequence__destroy(twist_mux_msgs__action__JoyPriority_SendGoal_Request__Sequence * array);

/// Check for action/JoyPriority message array equality.
/**
 * \param[in] lhs The message array on the left hand size of the equality operator.
 * \param[in] rhs The message array on the right hand size of the equality operator.
 * \return true if message arrays are equal in size and content, otherwise false.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_SendGoal_Request__Sequence__are_equal(const twist_mux_msgs__action__JoyPriority_SendGoal_Request__Sequence * lhs, const twist_mux_msgs__action__JoyPriority_SendGoal_Request__Sequence * rhs);

/// Copy an array of action/JoyPriority messages.
/**
 * This functions performs a deep copy, as opposed to the shallow copy that
 * plain assignment yields.
 *
 * \param[in] input The source array pointer.
 * \param[out] output The target array pointer, which must
 *   have been initialized before calling this function.
 * \return true if successful, or false if either pointer
 *   is null or memory allocation fails.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_SendGoal_Request__Sequence__copy(
  const twist_mux_msgs__action__JoyPriority_SendGoal_Request__Sequence * input,
  twist_mux_msgs__action__JoyPriority_SendGoal_Request__Sequence * output);

/// Initialize action/JoyPriority message.
/**
 * If the init function is called twice for the same message without
 * calling fini inbetween previously allocated memory will be leaked.
 * \param[in,out] msg The previously allocated message pointer.
 * Fields without a default value will not be initialized by this function.
 * You might want to call memset(msg, 0, sizeof(
 * twist_mux_msgs__action__JoyPriority_SendGoal_Response
 * )) before or use
 * twist_mux_msgs__action__JoyPriority_SendGoal_Response__create()
 * to allocate and initialize the message.
 * \return true if initialization was successful, otherwise false
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_SendGoal_Response__init(twist_mux_msgs__action__JoyPriority_SendGoal_Response * msg);

/// Finalize action/JoyPriority message.
/**
 * \param[in,out] msg The allocated message pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
void
twist_mux_msgs__action__JoyPriority_SendGoal_Response__fini(twist_mux_msgs__action__JoyPriority_SendGoal_Response * msg);

/// Create action/JoyPriority message.
/**
 * It allocates the memory for the message, sets the memory to zero, and
 * calls
 * twist_mux_msgs__action__JoyPriority_SendGoal_Response__init().
 * \return The pointer to the initialized message if successful,
 * otherwise NULL
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
twist_mux_msgs__action__JoyPriority_SendGoal_Response *
twist_mux_msgs__action__JoyPriority_SendGoal_Response__create();

/// Destroy action/JoyPriority message.
/**
 * It calls
 * twist_mux_msgs__action__JoyPriority_SendGoal_Response__fini()
 * and frees the memory of the message.
 * \param[in,out] msg The allocated message pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
void
twist_mux_msgs__action__JoyPriority_SendGoal_Response__destroy(twist_mux_msgs__action__JoyPriority_SendGoal_Response * msg);

/// Check for action/JoyPriority message equality.
/**
 * \param[in] lhs The message on the left hand size of the equality operator.
 * \param[in] rhs The message on the right hand size of the equality operator.
 * \return true if messages are equal, otherwise false.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_SendGoal_Response__are_equal(const twist_mux_msgs__action__JoyPriority_SendGoal_Response * lhs, const twist_mux_msgs__action__JoyPriority_SendGoal_Response * rhs);

/// Copy a action/JoyPriority message.
/**
 * This functions performs a deep copy, as opposed to the shallow copy that
 * plain assignment yields.
 *
 * \param[in] input The source message pointer.
 * \param[out] output The target message pointer, which must
 *   have been initialized before calling this function.
 * \return true if successful, or false if either pointer is null
 *   or memory allocation fails.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_SendGoal_Response__copy(
  const twist_mux_msgs__action__JoyPriority_SendGoal_Response * input,
  twist_mux_msgs__action__JoyPriority_SendGoal_Response * output);

/// Initialize array of action/JoyPriority messages.
/**
 * It allocates the memory for the number of elements and calls
 * twist_mux_msgs__action__JoyPriority_SendGoal_Response__init()
 * for each element of the array.
 * \param[in,out] array The allocated array pointer.
 * \param[in] size The size / capacity of the array.
 * \return true if initialization was successful, otherwise false
 * If the array pointer is valid and the size is zero it is guaranteed
 # to return true.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_SendGoal_Response__Sequence__init(twist_mux_msgs__action__JoyPriority_SendGoal_Response__Sequence * array, size_t size);

/// Finalize array of action/JoyPriority messages.
/**
 * It calls
 * twist_mux_msgs__action__JoyPriority_SendGoal_Response__fini()
 * for each element of the array and frees the memory for the number of
 * elements.
 * \param[in,out] array The initialized array pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
void
twist_mux_msgs__action__JoyPriority_SendGoal_Response__Sequence__fini(twist_mux_msgs__action__JoyPriority_SendGoal_Response__Sequence * array);

/// Create array of action/JoyPriority messages.
/**
 * It allocates the memory for the array and calls
 * twist_mux_msgs__action__JoyPriority_SendGoal_Response__Sequence__init().
 * \param[in] size The size / capacity of the array.
 * \return The pointer to the initialized array if successful, otherwise NULL
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
twist_mux_msgs__action__JoyPriority_SendGoal_Response__Sequence *
twist_mux_msgs__action__JoyPriority_SendGoal_Response__Sequence__create(size_t size);

/// Destroy array of action/JoyPriority messages.
/**
 * It calls
 * twist_mux_msgs__action__JoyPriority_SendGoal_Response__Sequence__fini()
 * on the array,
 * and frees the memory of the array.
 * \param[in,out] array The initialized array pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
void
twist_mux_msgs__action__JoyPriority_SendGoal_Response__Sequence__destroy(twist_mux_msgs__action__JoyPriority_SendGoal_Response__Sequence * array);

/// Check for action/JoyPriority message array equality.
/**
 * \param[in] lhs The message array on the left hand size of the equality operator.
 * \param[in] rhs The message array on the right hand size of the equality operator.
 * \return true if message arrays are equal in size and content, otherwise false.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_SendGoal_Response__Sequence__are_equal(const twist_mux_msgs__action__JoyPriority_SendGoal_Response__Sequence * lhs, const twist_mux_msgs__action__JoyPriority_SendGoal_Response__Sequence * rhs);

/// Copy an array of action/JoyPriority messages.
/**
 * This functions performs a deep copy, as opposed to the shallow copy that
 * plain assignment yields.
 *
 * \param[in] input The source array pointer.
 * \param[out] output The target array pointer, which must
 *   have been initialized before calling this function.
 * \return true if successful, or false if either pointer
 *   is null or memory allocation fails.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_SendGoal_Response__Sequence__copy(
  const twist_mux_msgs__action__JoyPriority_SendGoal_Response__Sequence * input,
  twist_mux_msgs__action__JoyPriority_SendGoal_Response__Sequence * output);

/// Initialize action/JoyPriority message.
/**
 * If the init function is called twice for the same message without
 * calling fini inbetween previously allocated memory will be leaked.
 * \param[in,out] msg The previously allocated message pointer.
 * Fields without a default value will not be initialized by this function.
 * You might want to call memset(msg, 0, sizeof(
 * twist_mux_msgs__action__JoyPriority_GetResult_Request
 * )) before or use
 * twist_mux_msgs__action__JoyPriority_GetResult_Request__create()
 * to allocate and initialize the message.
 * \return true if initialization was successful, otherwise false
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_GetResult_Request__init(twist_mux_msgs__action__JoyPriority_GetResult_Request * msg);

/// Finalize action/JoyPriority message.
/**
 * \param[in,out] msg The allocated message pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
void
twist_mux_msgs__action__JoyPriority_GetResult_Request__fini(twist_mux_msgs__action__JoyPriority_GetResult_Request * msg);

/// Create action/JoyPriority message.
/**
 * It allocates the memory for the message, sets the memory to zero, and
 * calls
 * twist_mux_msgs__action__JoyPriority_GetResult_Request__init().
 * \return The pointer to the initialized message if successful,
 * otherwise NULL
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
twist_mux_msgs__action__JoyPriority_GetResult_Request *
twist_mux_msgs__action__JoyPriority_GetResult_Request__create();

/// Destroy action/JoyPriority message.
/**
 * It calls
 * twist_mux_msgs__action__JoyPriority_GetResult_Request__fini()
 * and frees the memory of the message.
 * \param[in,out] msg The allocated message pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
void
twist_mux_msgs__action__JoyPriority_GetResult_Request__destroy(twist_mux_msgs__action__JoyPriority_GetResult_Request * msg);

/// Check for action/JoyPriority message equality.
/**
 * \param[in] lhs The message on the left hand size of the equality operator.
 * \param[in] rhs The message on the right hand size of the equality operator.
 * \return true if messages are equal, otherwise false.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_GetResult_Request__are_equal(const twist_mux_msgs__action__JoyPriority_GetResult_Request * lhs, const twist_mux_msgs__action__JoyPriority_GetResult_Request * rhs);

/// Copy a action/JoyPriority message.
/**
 * This functions performs a deep copy, as opposed to the shallow copy that
 * plain assignment yields.
 *
 * \param[in] input The source message pointer.
 * \param[out] output The target message pointer, which must
 *   have been initialized before calling this function.
 * \return true if successful, or false if either pointer is null
 *   or memory allocation fails.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_GetResult_Request__copy(
  const twist_mux_msgs__action__JoyPriority_GetResult_Request * input,
  twist_mux_msgs__action__JoyPriority_GetResult_Request * output);

/// Initialize array of action/JoyPriority messages.
/**
 * It allocates the memory for the number of elements and calls
 * twist_mux_msgs__action__JoyPriority_GetResult_Request__init()
 * for each element of the array.
 * \param[in,out] array The allocated array pointer.
 * \param[in] size The size / capacity of the array.
 * \return true if initialization was successful, otherwise false
 * If the array pointer is valid and the size is zero it is guaranteed
 # to return true.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_GetResult_Request__Sequence__init(twist_mux_msgs__action__JoyPriority_GetResult_Request__Sequence * array, size_t size);

/// Finalize array of action/JoyPriority messages.
/**
 * It calls
 * twist_mux_msgs__action__JoyPriority_GetResult_Request__fini()
 * for each element of the array and frees the memory for the number of
 * elements.
 * \param[in,out] array The initialized array pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
void
twist_mux_msgs__action__JoyPriority_GetResult_Request__Sequence__fini(twist_mux_msgs__action__JoyPriority_GetResult_Request__Sequence * array);

/// Create array of action/JoyPriority messages.
/**
 * It allocates the memory for the array and calls
 * twist_mux_msgs__action__JoyPriority_GetResult_Request__Sequence__init().
 * \param[in] size The size / capacity of the array.
 * \return The pointer to the initialized array if successful, otherwise NULL
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
twist_mux_msgs__action__JoyPriority_GetResult_Request__Sequence *
twist_mux_msgs__action__JoyPriority_GetResult_Request__Sequence__create(size_t size);

/// Destroy array of action/JoyPriority messages.
/**
 * It calls
 * twist_mux_msgs__action__JoyPriority_GetResult_Request__Sequence__fini()
 * on the array,
 * and frees the memory of the array.
 * \param[in,out] array The initialized array pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
void
twist_mux_msgs__action__JoyPriority_GetResult_Request__Sequence__destroy(twist_mux_msgs__action__JoyPriority_GetResult_Request__Sequence * array);

/// Check for action/JoyPriority message array equality.
/**
 * \param[in] lhs The message array on the left hand size of the equality operator.
 * \param[in] rhs The message array on the right hand size of the equality operator.
 * \return true if message arrays are equal in size and content, otherwise false.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_GetResult_Request__Sequence__are_equal(const twist_mux_msgs__action__JoyPriority_GetResult_Request__Sequence * lhs, const twist_mux_msgs__action__JoyPriority_GetResult_Request__Sequence * rhs);

/// Copy an array of action/JoyPriority messages.
/**
 * This functions performs a deep copy, as opposed to the shallow copy that
 * plain assignment yields.
 *
 * \param[in] input The source array pointer.
 * \param[out] output The target array pointer, which must
 *   have been initialized before calling this function.
 * \return true if successful, or false if either pointer
 *   is null or memory allocation fails.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_GetResult_Request__Sequence__copy(
  const twist_mux_msgs__action__JoyPriority_GetResult_Request__Sequence * input,
  twist_mux_msgs__action__JoyPriority_GetResult_Request__Sequence * output);

/// Initialize action/JoyPriority message.
/**
 * If the init function is called twice for the same message without
 * calling fini inbetween previously allocated memory will be leaked.
 * \param[in,out] msg The previously allocated message pointer.
 * Fields without a default value will not be initialized by this function.
 * You might want to call memset(msg, 0, sizeof(
 * twist_mux_msgs__action__JoyPriority_GetResult_Response
 * )) before or use
 * twist_mux_msgs__action__JoyPriority_GetResult_Response__create()
 * to allocate and initialize the message.
 * \return true if initialization was successful, otherwise false
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_GetResult_Response__init(twist_mux_msgs__action__JoyPriority_GetResult_Response * msg);

/// Finalize action/JoyPriority message.
/**
 * \param[in,out] msg The allocated message pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
void
twist_mux_msgs__action__JoyPriority_GetResult_Response__fini(twist_mux_msgs__action__JoyPriority_GetResult_Response * msg);

/// Create action/JoyPriority message.
/**
 * It allocates the memory for the message, sets the memory to zero, and
 * calls
 * twist_mux_msgs__action__JoyPriority_GetResult_Response__init().
 * \return The pointer to the initialized message if successful,
 * otherwise NULL
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
twist_mux_msgs__action__JoyPriority_GetResult_Response *
twist_mux_msgs__action__JoyPriority_GetResult_Response__create();

/// Destroy action/JoyPriority message.
/**
 * It calls
 * twist_mux_msgs__action__JoyPriority_GetResult_Response__fini()
 * and frees the memory of the message.
 * \param[in,out] msg The allocated message pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
void
twist_mux_msgs__action__JoyPriority_GetResult_Response__destroy(twist_mux_msgs__action__JoyPriority_GetResult_Response * msg);

/// Check for action/JoyPriority message equality.
/**
 * \param[in] lhs The message on the left hand size of the equality operator.
 * \param[in] rhs The message on the right hand size of the equality operator.
 * \return true if messages are equal, otherwise false.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_GetResult_Response__are_equal(const twist_mux_msgs__action__JoyPriority_GetResult_Response * lhs, const twist_mux_msgs__action__JoyPriority_GetResult_Response * rhs);

/// Copy a action/JoyPriority message.
/**
 * This functions performs a deep copy, as opposed to the shallow copy that
 * plain assignment yields.
 *
 * \param[in] input The source message pointer.
 * \param[out] output The target message pointer, which must
 *   have been initialized before calling this function.
 * \return true if successful, or false if either pointer is null
 *   or memory allocation fails.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_GetResult_Response__copy(
  const twist_mux_msgs__action__JoyPriority_GetResult_Response * input,
  twist_mux_msgs__action__JoyPriority_GetResult_Response * output);

/// Initialize array of action/JoyPriority messages.
/**
 * It allocates the memory for the number of elements and calls
 * twist_mux_msgs__action__JoyPriority_GetResult_Response__init()
 * for each element of the array.
 * \param[in,out] array The allocated array pointer.
 * \param[in] size The size / capacity of the array.
 * \return true if initialization was successful, otherwise false
 * If the array pointer is valid and the size is zero it is guaranteed
 # to return true.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_GetResult_Response__Sequence__init(twist_mux_msgs__action__JoyPriority_GetResult_Response__Sequence * array, size_t size);

/// Finalize array of action/JoyPriority messages.
/**
 * It calls
 * twist_mux_msgs__action__JoyPriority_GetResult_Response__fini()
 * for each element of the array and frees the memory for the number of
 * elements.
 * \param[in,out] array The initialized array pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
void
twist_mux_msgs__action__JoyPriority_GetResult_Response__Sequence__fini(twist_mux_msgs__action__JoyPriority_GetResult_Response__Sequence * array);

/// Create array of action/JoyPriority messages.
/**
 * It allocates the memory for the array and calls
 * twist_mux_msgs__action__JoyPriority_GetResult_Response__Sequence__init().
 * \param[in] size The size / capacity of the array.
 * \return The pointer to the initialized array if successful, otherwise NULL
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
twist_mux_msgs__action__JoyPriority_GetResult_Response__Sequence *
twist_mux_msgs__action__JoyPriority_GetResult_Response__Sequence__create(size_t size);

/// Destroy array of action/JoyPriority messages.
/**
 * It calls
 * twist_mux_msgs__action__JoyPriority_GetResult_Response__Sequence__fini()
 * on the array,
 * and frees the memory of the array.
 * \param[in,out] array The initialized array pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
void
twist_mux_msgs__action__JoyPriority_GetResult_Response__Sequence__destroy(twist_mux_msgs__action__JoyPriority_GetResult_Response__Sequence * array);

/// Check for action/JoyPriority message array equality.
/**
 * \param[in] lhs The message array on the left hand size of the equality operator.
 * \param[in] rhs The message array on the right hand size of the equality operator.
 * \return true if message arrays are equal in size and content, otherwise false.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_GetResult_Response__Sequence__are_equal(const twist_mux_msgs__action__JoyPriority_GetResult_Response__Sequence * lhs, const twist_mux_msgs__action__JoyPriority_GetResult_Response__Sequence * rhs);

/// Copy an array of action/JoyPriority messages.
/**
 * This functions performs a deep copy, as opposed to the shallow copy that
 * plain assignment yields.
 *
 * \param[in] input The source array pointer.
 * \param[out] output The target array pointer, which must
 *   have been initialized before calling this function.
 * \return true if successful, or false if either pointer
 *   is null or memory allocation fails.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_GetResult_Response__Sequence__copy(
  const twist_mux_msgs__action__JoyPriority_GetResult_Response__Sequence * input,
  twist_mux_msgs__action__JoyPriority_GetResult_Response__Sequence * output);

/// Initialize action/JoyPriority message.
/**
 * If the init function is called twice for the same message without
 * calling fini inbetween previously allocated memory will be leaked.
 * \param[in,out] msg The previously allocated message pointer.
 * Fields without a default value will not be initialized by this function.
 * You might want to call memset(msg, 0, sizeof(
 * twist_mux_msgs__action__JoyPriority_FeedbackMessage
 * )) before or use
 * twist_mux_msgs__action__JoyPriority_FeedbackMessage__create()
 * to allocate and initialize the message.
 * \return true if initialization was successful, otherwise false
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_FeedbackMessage__init(twist_mux_msgs__action__JoyPriority_FeedbackMessage * msg);

/// Finalize action/JoyPriority message.
/**
 * \param[in,out] msg The allocated message pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
void
twist_mux_msgs__action__JoyPriority_FeedbackMessage__fini(twist_mux_msgs__action__JoyPriority_FeedbackMessage * msg);

/// Create action/JoyPriority message.
/**
 * It allocates the memory for the message, sets the memory to zero, and
 * calls
 * twist_mux_msgs__action__JoyPriority_FeedbackMessage__init().
 * \return The pointer to the initialized message if successful,
 * otherwise NULL
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
twist_mux_msgs__action__JoyPriority_FeedbackMessage *
twist_mux_msgs__action__JoyPriority_FeedbackMessage__create();

/// Destroy action/JoyPriority message.
/**
 * It calls
 * twist_mux_msgs__action__JoyPriority_FeedbackMessage__fini()
 * and frees the memory of the message.
 * \param[in,out] msg The allocated message pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
void
twist_mux_msgs__action__JoyPriority_FeedbackMessage__destroy(twist_mux_msgs__action__JoyPriority_FeedbackMessage * msg);

/// Check for action/JoyPriority message equality.
/**
 * \param[in] lhs The message on the left hand size of the equality operator.
 * \param[in] rhs The message on the right hand size of the equality operator.
 * \return true if messages are equal, otherwise false.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_FeedbackMessage__are_equal(const twist_mux_msgs__action__JoyPriority_FeedbackMessage * lhs, const twist_mux_msgs__action__JoyPriority_FeedbackMessage * rhs);

/// Copy a action/JoyPriority message.
/**
 * This functions performs a deep copy, as opposed to the shallow copy that
 * plain assignment yields.
 *
 * \param[in] input The source message pointer.
 * \param[out] output The target message pointer, which must
 *   have been initialized before calling this function.
 * \return true if successful, or false if either pointer is null
 *   or memory allocation fails.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_FeedbackMessage__copy(
  const twist_mux_msgs__action__JoyPriority_FeedbackMessage * input,
  twist_mux_msgs__action__JoyPriority_FeedbackMessage * output);

/// Initialize array of action/JoyPriority messages.
/**
 * It allocates the memory for the number of elements and calls
 * twist_mux_msgs__action__JoyPriority_FeedbackMessage__init()
 * for each element of the array.
 * \param[in,out] array The allocated array pointer.
 * \param[in] size The size / capacity of the array.
 * \return true if initialization was successful, otherwise false
 * If the array pointer is valid and the size is zero it is guaranteed
 # to return true.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_FeedbackMessage__Sequence__init(twist_mux_msgs__action__JoyPriority_FeedbackMessage__Sequence * array, size_t size);

/// Finalize array of action/JoyPriority messages.
/**
 * It calls
 * twist_mux_msgs__action__JoyPriority_FeedbackMessage__fini()
 * for each element of the array and frees the memory for the number of
 * elements.
 * \param[in,out] array The initialized array pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
void
twist_mux_msgs__action__JoyPriority_FeedbackMessage__Sequence__fini(twist_mux_msgs__action__JoyPriority_FeedbackMessage__Sequence * array);

/// Create array of action/JoyPriority messages.
/**
 * It allocates the memory for the array and calls
 * twist_mux_msgs__action__JoyPriority_FeedbackMessage__Sequence__init().
 * \param[in] size The size / capacity of the array.
 * \return The pointer to the initialized array if successful, otherwise NULL
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
twist_mux_msgs__action__JoyPriority_FeedbackMessage__Sequence *
twist_mux_msgs__action__JoyPriority_FeedbackMessage__Sequence__create(size_t size);

/// Destroy array of action/JoyPriority messages.
/**
 * It calls
 * twist_mux_msgs__action__JoyPriority_FeedbackMessage__Sequence__fini()
 * on the array,
 * and frees the memory of the array.
 * \param[in,out] array The initialized array pointer.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
void
twist_mux_msgs__action__JoyPriority_FeedbackMessage__Sequence__destroy(twist_mux_msgs__action__JoyPriority_FeedbackMessage__Sequence * array);

/// Check for action/JoyPriority message array equality.
/**
 * \param[in] lhs The message array on the left hand size of the equality operator.
 * \param[in] rhs The message array on the right hand size of the equality operator.
 * \return true if message arrays are equal in size and content, otherwise false.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_FeedbackMessage__Sequence__are_equal(const twist_mux_msgs__action__JoyPriority_FeedbackMessage__Sequence * lhs, const twist_mux_msgs__action__JoyPriority_FeedbackMessage__Sequence * rhs);

/// Copy an array of action/JoyPriority messages.
/**
 * This functions performs a deep copy, as opposed to the shallow copy that
 * plain assignment yields.
 *
 * \param[in] input The source array pointer.
 * \param[out] output The target array pointer, which must
 *   have been initialized before calling this function.
 * \return true if successful, or false if either pointer
 *   is null or memory allocation fails.
 */
ROSIDL_GENERATOR_C_PUBLIC_twist_mux_msgs
bool
twist_mux_msgs__action__JoyPriority_FeedbackMessage__Sequence__copy(
  const twist_mux_msgs__action__JoyPriority_FeedbackMessage__Sequence * input,
  twist_mux_msgs__action__JoyPriority_FeedbackMessage__Sequence * output);

#ifdef __cplusplus
}
#endif

#endif  // TWIST_MUX_MSGS__ACTION__DETAIL__JOY_PRIORITY__FUNCTIONS_H_
